Package Details: python3-aur 2017.1-1

Git Clone URL: https://aur.archlinux.org/python3-aur.git (read-only)
Package Base: python3-aur
Description: AUR-related modules and helper utilities (aurploader, aurquery, aurtomatic).
Upstream URL: http://xyne.archlinux.ca/projects/python3-aur
Keywords: arch_linux aur python
Licenses: GPL
Conflicts: aurploader
Provides: aurploader
Replaces: aurploader
Submitter: Xyne
Maintainer: Xyne
Last Packager: Xyne
Votes: 193
Popularity: 1.536420
First Submitted: 2011-07-04 03:22
Last Updated: 2017-01-07 09:59

Latest Comments

guotsuan commented on 2017-01-05 23:07

Thanks @Xyne

Now paconky.py works again with the new version of python3-aur.

Xyne commented on 2017-01-04 07:27

@guotsuan

I see that you're using Python 3.6. Given that nothing has changed on my end, I expect that this is related to farseerfc's comment on the python3-xcpf page: https://aur.archlinux.org/packages/python3-xcpf/.

Please update and let me know if the error is resolved. I'm not using Python 3.6 yet so I can't test it.

guotsuan commented on 2017-01-03 09:26

Hi @Xyne

After update to the newest version python-aur, I found that paconky.py stop working with the error:

~/.scripts/paconky.py /dev/shm/pacman

==================================

download community-testing.db: ......................... 748196/748196
download community.db: ......................... 3934695/3934695Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/MemoizeDB.py", line 427, in db_clean
c.execute('VACUUM')
sqlite3.OperationalError: cannot VACUUM from within a transaction

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/dccf87/.scripts/paconky.py", line 319, in <module>
main(sys.argv[1], sys.argv[2:])
File "/home/dccf87/.scripts/paconky.py", line 289, in main
aur = AUR.AurRpc()
File "/usr/lib/python3.6/site-packages/AUR/RPC.py", line 359, in __init__
mdb.db_initialize()
File "/usr/lib/python3.6/site-packages/MemoizeDB.py", line 176, in db_initialize
self.db_clean()
File "/usr/lib/python3.6/site-packages/MemoizeDB.py", line 430, in db_clean
raise MDBError('cleaning failed', error=e)
MemoizeDB.MDBError: MDBError: cleaning failed [cannot VACUUM from within a transaction]

Xyne commented on 2016-12-03 20:26

@BryceGuinta
makepkg uses the user's GPG keyring. You need to import my key. It's the same as my TU key on Pacman's GPG keyring.

gpg --recv-keys --keyserver hkp://pgp.mit.edu 1D1F0DC78F173680

See comments in the following thread for details:
https://bbs.archlinux.org/viewtopic.php?id=220274

BryceGuinta commented on 2016-11-27 10:05

@Xyne

This package has an unknown PGP signature. I wanted to try out baurbill however it depends on this package. Any fix?

python3-aur-2016.9.tar.xz ... FAILED (unknown public key 1D1F0DC78F173680)
==> ERROR: One or more PGP signatures could not be verified!

Xyne commented on 2016-07-10 20:56

I have been gradually working on a new backend for a while. It is available for testing here[1]. It is not entirely backwards-compatible so please give it a try now and get ready to migrate your configuration files and scripts. Extension developers are most welcome :D.

Please keep related discussion in the forum thread.

[1] https://bbs.archlinux.org/viewtopic.php?id=214706

skunktrader commented on 2016-04-21 03:38

@Xyne

Thanks very much. Everything working again.

Xyne commented on 2016-04-20 20:50

@ids1024 & jamincollins
The PkgList errors should be fixed with the latest release.

@skunktrader
Paconky has been updated to work with the current version. I plan to release a new version of several modules soon with several changes that will make it easy to replace paconky with a simple yet flexible script. I'll try to remember to announce it here or on the somewhat neglected news feed on my site.

skunktrader commented on 2016-04-20 09:03

Using this package with paconky

Traceback (most recent call last):
File "../conky/paconky.py", line 242, in main
aur = AUR.AUR()
TypeError: 'module' object is not callable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "../conky/paconky.py", line 261, in <module>
main(sys.argv[1])
File "../conky/paconky.py", line 244, in main
except AUR.AURError as e:
AttributeError: module 'AUR' has no attribute 'AURError'

jamincollins commented on 2016-04-19 21:52

Seems like aurpkglist is broken :(

$ yaourt -Q python3-aur
python3-aur 2016.3-1

$ aurpkglist
Traceback (most recent call last):
File "/bin/aurpkglist", line 15, in <module>
'-t', '--time', type=int, default=APL.DEFAULT_TTL,
AttributeError: module 'AUR.PkgList' has no attribute 'DEFAULT_TTL'

All comments